EDIT - feature request #7334

Make pro parte and partial synonyms real concept relationships
03/28/2018 02:19 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 1:00 hour
Target version: CDM UML 5.0

Severity: major

Description

Since #5974 pro parte and partial is stored as attribute of a synonym which belongs to exactly 1 accepted taxon.

Pro parte and partial synonyms may link to multiple taxa and they are not real synonyms in terms of that they are equal to the
accepted taxon in semantics. Indeed, they are concept relationships and therefore should be handled as such.

We need 2 new taxon relationship types for them. Also we need to migrate existing data by making the synonyms accepted taxa and
create the according taxon relationship.

Related issues:

Related to EDIT - feature request #5974: Remove synonym relationships Closed
Related to EDIT - feature request #7335: Allow editing of pro parte and parti... Closed
Related to EDIT - task #7319: [CHECK] Import synonyms correctly in E+M Resolved
Related to EDIT - feature request #7417: Make pro parte and partial synonymr... Closed
Related to EDIT - bug #6627: Remaining cdm light issues Closed
Related to EDIT - feature request #7157: interim solution to mark pro parte s... Rejected
Precedes EDIT - bug #7478: Fix pro parte synonym search Resolved

Associated revisions

Revision 84046c2e - 03/28/2018 02:40 PM - Andreas Miiller

ref #7336, ref #7334 add pro parte synonym, partial synonym and partial misapplied name as taxon relationship types

Revision 4010183a - 05/12/2018 02:03 AM - Andreas Miiller

fix #7334 update script for pro parte synonyms to concept relationships

Revision 72¢9224a - 05/15/2018 05:18 PM - Andreas Miiller

ref #7334 add convenience methods for pro parte and partial synonym to Taxon and TaxonRelationshipType

Revision ba5dcea5 - 05/15/2018 05:18 PM - Andreas Miiller
ref #7334 adapt DwWCA and CDM light export to new pro parte synonym handling, also add misapplied name handling to CDM light

Revision 17c0f1e5 - 05/15/2018 05:18 PM - Andreas Miiller

ref #7334 remove proParte and partial from Synonym class

Revision 7901247 - 05/15/2018 06:19 PM - Andreas Miiller

ref #7335, ref #7334 remove getProParteSynonyms method (is more or less duplicate)

Revision 5aef4591 - 05/15/2018 06:20 PM - Andreas Miiller

ref #7334 update cached model for removed partial and pro parte

Revision b436f19a - 05/16/2018 02:27 PM - Andreas Miiller
ref #7334, ref #6627 Adapted CDM light to support pp synonyms (cont.)

Revision 326bdb02 - 05/16/2018 02:28 PM - Andreas Miiller
ref #7334 error handling in update script for pp synonyms
Revision 618a5b6f - 05/31/2018 09:45 PM - Andreas Miiller

ref #7334 fix missing table attributes in CDM light export for pro parte synonyms and misapplied names

Revision 8d8d7646 - 06/16/2018 05:06 PM - Andreas Miiller

ref #7334 add pro parte and partial synonym to test terms

Revision 7b9ed797 - 07/24/2019 11:45 AM - Andreas Miiller

ref #7334 remove TaxonBase.proParte and partial and ref #8398 add codeEditon to nomStatus and nameRelations

Revision 43613a08 - 07/25/2019 12:25 PM - Andreas Miiller

ref #7334 adapt TaxEditor tests to new schema (delete partial and proparte)

History

#1 - 03/28/2018 02:19 PM - Andreas Miiller

- Related to feature request #5974: Remove synonym relationships added

#2 - 03/28/2018 02:20 PM - Andreas Miiller

- Tags set to euro+med

#3 - 03/28/2018 02:23 PM - Andreas Miiller

- Related to feature request #7335: Allow editing of pro parte and partial synonyms in the same way as misapplied names in the NameEditor added

#4 - 03/28/2018 02:43 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#5 - 03/28/2018 02:43 PM - Andreas Miiller
- % Done changed from 0 to 10

#6 - 03/28/2018 02:44 PM - Andreas Miiller
- Related to task #7319: [CHECK] Import synonyms correctly in E+M added

#7 - 05/09/2018 01:26 AM - Andreas Miiller
- Priority changed from Highest to Priority14

#8 - 05/09/2018 05:22 PM - Andreas Miiller
- Estimated time set to 3:00 h

#9 - 05/11/2018 05:47 PM - Andreas Miiller
- Priority changed from Priority14 to Highest

#10 - 05/12/2018 01:24 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 10 to 50

#11 - 05/15/2018 10:36 AM - Andreas Miiller

- Related to feature request #7417: Make pro parte and partial synonym relationships always visible in data portals added

#12 - 05/16/2018 02:12 PM - Andreas Miiller
- Related to bug #6627: Remaining cdm light issues added

#13 - 05/25/2018 11:45 AM - Andreas Miiller
- % Done changed from 50 to 70
- Estimated time changed from 3:00 h to 1:00 h

#14 - 06/15/2018 01:16 PM - Andreas Miiller
- Precedes bug #7478: Fix pro parte synonym search added

#15 - 06/18/2018 08:24 PM - Andreas Miiller

- Related to feature request #7157: interim solution to mark pro parte synonyms in the dataportal added

#16 - 12/05/2020 01:27 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

This is in use now for longer time and no errors were reported, so | guess we can close it.
